## tdc 1.2

=== Makefile ===
export PREFIX ?= /usr/local

all: tdc tdc.1

debug:
	$(CC) -O2 -Wall -g3 -ggdb tdc.c -o tdc $(shell pkg-config x11 xft --libs --cflags)

install: tdc tdc.1
	install -p -m 644 -D tdc.1.gz ${DESTDIR}${PREFIX}/share/man/man1/tdc.1.gz
	install -p -m 755 -D tdc ${DESTDIR}${PREFIX}/bin/tdc

uninstall:
	-rm -f ${DESTDIR}${PREFIX}/share/man/man1/tdc.1.gz
	-rm -f ${DESTDIR}${PREFIX}/bin/tdc

clean:
	-rm -f tdc.1.gz
	-rm -f tdc

tdc:
	$(CC) -O2 tdc.c -o tdc $(shell pkg-config x11 xft --libs --cflags)

tdc.1:
	gzip -c docs/tdc.1 > tdc.1.gz

=== debian/changelog ===
tdc (1.2-1) unstable; urgency=low

  * Fixed PREFIX in Makefile
  * First version ready for distribution. (Closes: #567377)

 -- Michael Lustfield <mtecknology@ubuntu.com>  Thu, 05 Mar 2011 01:24:52 -0600

tdc (1.1-1) unstable; urgency=low

  * Added CHANGES file.
  * Minor bug fixes to source and manual page.

 -- Michael Lustfield <mtecknology@ubuntu.com>  Thu, 03 Mar 2011 21:04:25 -0600

tdc (1.0-1) unstable; urgency=low

  * Initial public release of Tiny Dockable Clock (TDC).

 -- Michael Lustfield <mtecknology@ubuntu.com>  Tue, 01 Mar 2011 10:45:05 -0600

=== debian/control ===
Source: tdc
Section: x11
Priority: optional
Maintainer: Michael Lustfield <mtecknology@ubuntu.com>
Build-Depends: debhelper (>= 7), libxft-dev, libxt-dev, libx11-dev
Standards-Version: 3.9.1
Homepage: https://launchpad.net/tdc
Vcs-Bzr: http://bazaar.launchpad.net/~tdc/tdc/trunk

Package: tdc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bsdmainutils
Description: Tiny Dockable Clock (tdc) is a simple and tiny dockable clock
 Tiny Dockable Clock (tdc) is a simple and tiny dockable clock. It is a very
 simple tool especially helpful for those that are using openbox. It
 can use various colors, sizes, formats, etc. It can accept any POSIX
 date format.
 .
 Window managers that are reported to work well with tdc:
  - FVWM
  - OpenBox
  - Enlightenment
  - ion3

=== debian/watch ===
version=3
https://launchpad.net/tdc/+download http://launchpad.net/tdc/.*/tdc-(.+).tar.gz

## tdc 1.3

=== debian/changelog ===
tdc (1.3-1) unstable; urgency=low

  * debian/watch:
    + Updated to point at a more consistent location.
  * debian/upstream/signing-key.asc:
    + Added key of upstream signer.
  * debian/control:
    + Updated maintainer email address.
    + Updated policy standards version.
  * debian/copyright:
    + Updated copyright to conform to an actual standard.
  * debian/changelog:
    + Corrected odd date issue.
  * debian/compat:
    + Changed 7->9. Resolves hardening-no-relro warning.
  * Makefile:
    + Added support in makefile for extra flags.
  * New upstream release.
    + Added window title. (Closes: #644732)

 -- Michael Lustfield <michael@lustfield.net>  Mon, 21 Apr 2014 20:18:42 -0500

=== debian/control ===
Source: tdc
Section: x11
Priority: optional
Maintainer: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 9), libxft-dev, libxt-dev, libx11-dev
Standards-Version: 3.9.5
Homepage: https://launchpad.net/tdc

Package: tdc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bsdmainutils
Description: Tiny Dockable Clock
 Tiny Dockable Clock (tdc) is a simple and tiny dockable clock. It is a very
 simple tool; especially helpful for those that are using OpenBox. It
 can use various colors, sizes, formats, etc. It can accept any POSIX
 date format.
 .
 Window managers that are reported to work well with tdc:
  - FVWM
  - OpenBox
  - Enlightenment
  - ion3

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/tdc/ .*/tdc-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## tdc 1.4

=== debian/changelog ===
tdc (1.4-1) unstable; urgency=medium

  * New upstream release (1.4).
  * Upstream source moved to github.
  * Upstream moved debian packaging to collab-maint.
  * Removed files that aren't doing anything:
    + debian/install
    + debian/dirs
  * debian/control:
    + Updated standards version to 3.9.8 (no changes needed)
    + Added Vcs-Browser and Vcs-Git fields.
  * debian/rules:
    + Enabled hardening flags.
  * debian/patches/debian/patches/1-fix-man-page.diff:
    + Corrects issues in man page discovered by lintian.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 18 Jul 2016 00:55:10 -0700

## tdc 1.6

=== Makefile ===
export PREFIX ?= /usr/local

CPPFLAGS += $(shell pkg-config x11 xft --cflags)
LIBS += $(shell pkg-config x11 xft --libs)

all: tdc tdc.1

install: tdc tdc.1
	install -p -m 644 -D tdc.1.gz ${DESTDIR}${PREFIX}/share/man/man1/tdc.1.gz
	install -p -m 755 -D tdc ${DESTDIR}${PREFIX}/bin/tdc

uninstall:
	rm -f ${DESTDIR}${PREFIX}/share/man/man1/tdc.1.gz
	rm -f ${DESTDIR}${PREFIX}/bin/tdc

clean:
	rm -f tdc.1.gz
	rm -f tdc

tdc: tdc.c
	$(CC) -O2 -g $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) tdc.c -o tdc $(LIBS)

tdc.1: docs/tdc.1
	gzip -c docs/tdc.1 > tdc.1.gz

.PHONY: all clean install uninstall

=== debian/changelog ===
tdc (1.6-2) unstable; urgency=medium

  * Migrate packaging away from Alioth (deprecated).
  * SV bump to 4.1.2. No changes required.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 11:33:40 -0600

tdc (1.6-1) unstable; urgency=medium

  * New upstream release (1.6).
  * Resolves a potential buffer overflow.
  * Changed package licensing to BSD-3+ to match upstream.
  * Removing merged patch: 1-fix-man-page.diff.
  * debian/copyright:
    + Updated copyright to include years.
  * debian/upstream/metadata:
    + Updated Repository to be a URL that can cloned without ssh.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 15 Oct 2016 06:44:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Michael Lustfield <michael@lustfield.net>
 Build-Depends: debhelper (>= 9), libxft-dev, libxt-dev, libx11-dev
-Standards-Version: 3.9.5
-Homepage: https://launchpad.net/tdc
+Standards-Version: 4.1.2
+Homepage: https://github.com/MTecknology/tdc
+Vcs-Browser: https://github.com/MTecknology/tdc
+Vcs-Git: https://github.com/MTecknology/tdc.git
 
 Package: tdc
 Architecture: any

## tdc 1.8

=== debian/changelog ===
tdc (1.8-2) unstable; urgency=medium

  * Move bsdmainutils from Requires to Recommends
    + Only required for --enable-cal

 -- Michael Lustfield <michael@lustfield.net>  Wed, 23 Oct 2019 00:29:11 -0500

tdc (1.8-1) unstable; urgency=medium

  * New upstream release (1.8).
  * Fix compiler warnings and minor code cleanup

 -- Michael Lustfield <michael@lustfield.net>  Tue, 22 Oct 2019 22:51:14 -0500

tdc (1.7-1) unstable; urgency=medium

  * New upstream release (1.7).
  * Fix copyright holders

 -- Michael Lustfield <michael@lustfield.net>  Mon, 21 Oct 2019 23:47:42 -0500

## tdc 1.9

=== debian/changelog ===
tdc (1.9-2) unstable; urgency=medium

  * Removed d/manpages.
    + Resolved issue caused by external bug:
      https://bugs.debian.org/943705

 -- Michael Lustfield <michael@lustfield.net>  Mon, 04 Nov 2019 10:52:13 -0600

tdc (1.9-1) unstable; urgency=medium

  * New upstream release (1.9)
  * Fix FTCBFS caused by pkg-confg (Closes: #943406)

 -- Michael Lustfield <michael@lustfield.net>  Thu, 31 Oct 2019 02:36:28 -0500

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tdc-v$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/v(\d\S*)\.tar\.gz/releases\/download\/v$1\/tdc-$1\.tar\.gz\.asc/ \
 https://github.com/MTecknology/tdc/releases .*/v?(\d\S*)\.tar\.gz

## tdc 2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 export PREFIX ?= /usr/local
 
-CPPFLAGS += $(shell pkg-config x11 xft --cflags)
-LIBS += $(shell pkg-config x11 xft --libs)
+PKG_CONFIG ?= pkg-config
+CPPFLAGS += $(shell $(PKG_CONFIG) x11 xft --cflags)
+LIBS += $(shell $(PKG_CONFIG) x11 xft --libs)
 
 all: tdc tdc.1

=== debian/changelog ===
tdc (2.0-1) unstable; urgency=medium

  * New upstream release (2.0)

 -- Michael Lustfield <mtecknology@debian.org>  Fri, 12 Oct 2023 21:55:50 +0000

tdc (1.9-3) unstable; urgency=medium

  [Michael Lustfield]
  * d/contol:
    + Use @debian address for Maintainer field.
    + Bump debhelper version.
    + Update standards version to 4.5.1.0, no changes needed.
    + Recommends: s/bsdmainutils/ncal/ (Closes: #964523)
  * d/watch: Update to v4 and clean up syntax.
  * orig-tarball-missing-upstream-signature: Added signature to pristine-tar.
  * Deleted d/source/lintian-overrides.
  * d/source/lintian-overrides:
    + Update lintian tag.

  [Debian Janitor]
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- Michael Lustfield <mtecknology@debian.org>  Wed, 07 Apr 2021 03:43:59 +0000

tdc (1.9-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 15 Feb 2020 22:11:43 -0600

=== debian/control ===
Source: tdc
Section: x11
Priority: optional
Maintainer: Michael Lustfield <mtecknology@debian.org>
Build-Depends: debhelper-compat (= 13), libxft-dev, libxt-dev, libx11-dev
Standards-Version: 4.5.1.0
Rules-Requires-Root: no
Homepage: https://github.com/MTecknology/tdc
Vcs-Browser: https://github.com/MTecknology/tdc
Vcs-Git: https://github.com/MTecknology/tdc.git

Package: tdc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ncal
Description: Tiny Dockable Clock
 Tiny Dockable Clock (tdc) is a simple and tiny dockable clock. It is a very
 simple tool; especially helpful for those that are using OpenBox. It
 can use various colors, sizes, formats, etc. It can accept any POSIX
 date format.
 .
 Window managers that are reported to work well with tdc:
  - FVWM
  - OpenBox
  - Enlightenment
  - ion3

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tdc-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/.+?\/(v?)(\d\S+)\.tar\.gz/releases\/download\/$1$2\/tdc-$2\.tar\.gz\.asc/ \
  https://github.com/MTecknology/tdc/releases/latest .*/v?(\d\S+)\.tar\.gz

## tdc 2.1

=== debian/changelog ===
tdc (2.1-1) unstable; urgency=medium

  * New upstream release (2.1)
  * Bump SV to 4.7.2
    + Bump copyright years
  * Add compatibility with GCC-15 (Closes: #1097979)
    + Thanks: Adrian Bunk
  * Add option for background color
    + Fixes ghosting artifacts caused by transparent background
  * Fix multiple bugs detecting current day
  * Adjust size of highlight box to cover entire day

 -- Michael Lustfield <mtecknology@debian.org>  Sun, 05 Oct 2025 19:54:14 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Lustfield <mtecknology@debian.org>
 Build-Depends: debhelper-compat (= 13), libxft-dev, libxt-dev, libx11-dev
-Standards-Version: 4.5.1.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/MTecknology/tdc
 Vcs-Browser: https://github.com/MTecknology/tdc

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PREFIX=/usr

%:
	dh $@

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/MTecknology/tdc/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Searchmode: plain
Download-Url-Mangle: s|api.github.com/repos/([^/]+/[^/]+)/git/refs/tags/@ANY_VERSION@|github.com/$1/archive/refs/tags/v$2.tar.gz|g
Filename-Mangle: s|.*/@ANY_VERSION@|@PACKAGE@-$1.tar.gz|
pgpsigurlmangle: s|archive/.+?/v(\d\S+)\.tar\.gz|releases/download/v$1/tdc-$1\.tar\.gz\.asc|
